Withdraw Queue
Retrieve protocol information related to withdrawals
After source finalization, the withdraw queue processes staged destination transfers in batches. Queue time is an additional part of the withdrawal lifecycle. Use this endpoint and the operation's positionInWithdrawQueue to monitor progress. The network confirmation estimates exclude queue time.
This endpoint can better inform the status of withdrawal operations.
Endpoint
GET /withdrawal-queue
200: OK Successful Response
{
"bitcoin": {
"lastWithdrawQueueOperationTxID": "f15cf8bb590cd7d50dc9d892c9d4d5ba370887f462cd5ac5e61ad2696b19e6cd",
"withdrawalQueueLength": 2
},
"ethereum": {
"lastWithdrawQueueOperationTxID": "0x95f792c9ba7d31d33b6d631824756e74cd85e6c1cb5d677b4614c324f57c6aa7",
"withdrawalQueueLength": 0
}
}400: Error Response
{"error":"invalid request"}
